# Class CIM_SystemResource
extends CIM_EnabledLogicalElement

An entity managed by BIOS, an OperatingSystem or other software, which is available for use by application software and/or LogicalDevices. Resources are individually identified and allocated entities, that are assignable, reservable, counted/ tracked, releasable, reset-able, etc. Examples of software Resources are message queues, shared memory segments (identified by a key value), and named pipes, while examples of hardware Resources (in an x86 environment) are IRQs, DMA channels and memory mapped I/O.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_SystemResource

## Direct Known Subclasses

CIM_DMA
CIM_IRQ
CIM_J2eeResource
CIM_MemoryMappedIO

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

An entity managed by BIOS, an OperatingSystem or other software, which is available for use by application software and/or LogicalDevices. Resources are individually identified and allocated entities, that are assignable, reservable, counted/ tracked, releasable, reset-able, etc. Examples of software Resources are message queues, shared memory segments (identified by a key value), and named pipes, while examples of hardware Resources (in an x86 environment) are IRQs, DMA channels and memory mapped I/O.

UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ImplementationInfo | uint16 |
Description | string | Indicates whether the Resource is implemented in hardware, software or both.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Hardware Only, Software Only, Hardware and Software
Shareable | boolean |
Description | string | Boolean indicating whether the Resource can be shared.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement